VST 3 Interfaces: ITestPlugProvider Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
ITestPlugProvider Class Referenceabstract

Test Helper. More...

`#include <ivsttestplugprovider.h>`

Inheritance diagram for ITestPlugProvider:

## Public Member Functions
virtual IComponent * | getComponent ()=0
| get the component of the plug-in.
virtual IEditController * | getController ()=0
| get the controller of the plug-in.
virtual tresult | releasePlugIn (IComponent *component, IEditController *controller)=0
| release the component and/or controller
virtual tresult | getSubCategories (IStringResult &result) const =0
| get the sub categories of the plug-in
virtual tresult | getComponentUID (FUID &uid) const =0
| get the component UID of the plug-in
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Helper.

This class provides access to the component and the controller of a plug-in when running a unit test (see ITest). You get this interface as the context argument in the ITestFactory::createTests method.

## Member Function Documentation

virtual IComponent* getComponent | ( |  | ) |
| pure virtual

get the component of the plug-in.

The reference count of the component is increased in this function and you need to call releasePlugIn when done with the component.

Implemented in PlugProvider.

virtual IEditController* getController | ( |  | ) |
| pure virtual

get the controller of the plug-in.

The reference count of the controller is increased in this function and you need to call releasePlugIn when done with the controller.

Implemented in PlugProvider.

virtual tresult releasePlugIn | ( | IComponent * | component,
|  | IEditController * | controller
| ) |  |
| pure virtual

release the component and/or controller

Implemented in PlugProvider.

virtual tresult getSubCategories | ( | IStringResult & | result | ) | const
| pure virtual

get the sub categories of the plug-in

Implemented in PlugProvider.

virtual tresult getComponentUID | ( | FUID & | uid | ) | const
| pure virtual

get the component UID of the plug-in

Implemented in PlugProvider.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.